summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authorMaxime Buquet <pep@bouah.net>2020-05-01 15:00:15 +0200
committerMaxime Buquet <pep@bouah.net>2020-05-01 15:00:15 +0200
commitc7c358799ade8f40dc0810d6430e83afd0c532f5 (patch)
tree94e70b88a07be06018140525282085861bbf29f7 /update.sh
parented8f3b5c272cf045193a09cfe4df67c6a365f165 (diff)
parent64ed37870ea18161d0bc34505022a8c80630c0c2 (diff)
downloadpoezio-c7c358799ade8f40dc0810d6430e83afd0c532f5.tar.gz
poezio-c7c358799ade8f40dc0810d6430e83afd0c532f5.tar.bz2
poezio-c7c358799ade8f40dc0810d6430e83afd0c532f5.tar.xz
poezio-c7c358799ade8f40dc0810d6430e83afd0c532f5.zip
Merge branch 'python-version' into 'master'
Update Python version minimum requirement to 3.7 See merge request poezio/poezio!87
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/update.sh b/update.sh
index 9f8bf382..81989e57 100755
--- a/update.sh
+++ b/update.sh
@@ -23,7 +23,7 @@ command -v "$POEZIO_PYTHON" > /dev/null 2>&1 || {
}
$POEZIO_PYTHON -c 'import venv' &> /dev/null || {
- echo "'$POEZIO_PYTHON' venv module not found. Check that you have python (>= 3.5) installed,"
+ echo "'$POEZIO_PYTHON' venv module not found. Check that you have python (>= 3.7) installed,"
exit 1
}
@@ -43,7 +43,7 @@ then
. "$POEZIO_VENV/bin/activate"
echo 'Updating the in-venv pip'
pip install --upgrade pip
- python3 -c 'import sys;(print("Python 3.5 or newer is required") and exit(1)) if sys.version_info < (3, 5) else exit(0)' || exit 1
+ python3 -c 'import sys;(print("Python 3.7 or newer is required") and exit(1)) if sys.version_info < (3, 7) else exit(0)' || exit 1
echo 'Updating the poezio dependencies'
pip install -r requirements.txt --upgrade
echo 'Updating the poezio plugin dependencies'
@@ -55,7 +55,7 @@ else
. "$POEZIO_VENV/bin/activate"
cd "$POEZIO_VENV" # needed to download slixmpp inside the venv
- python3 -c 'import sys;(print("Python 3.5 or newer is required") and exit(1)) if sys.version_info < (3, 5) else exit(0)' || exit 1
+ python3 -c 'import sys;(print("Python 3.7 or newer is required") and exit(1)) if sys.version_info < (3, 7) else exit(0)' || exit 1
echo 'Installing the poezio dependencies using pip'
pip install -r "../requirements.txt"